### Function

# ECal ComponentParameterBag new_from_property

since: 3.34

#### Declaration [src]

    ECalComponentParameterBag*
    e_cal_component_parameter_bag_new_from_property (
      const ICalProperty* property,
      ECalComponentParameterBagFilterFunc func,
      gpointer user_data
    )

#### Description [src]

Creates a new `ECalComponentParameterBag`, filled with parameters from the `property`, for which the `func` returned `TRUE`. When the `func` is `NULL`, all the parameters are included.

Free the structure with e_cal_component_parameter_bag_free(), when no longer needed.

Available since: 3.34

#### Parameters

`property`

  Type: `None`

  An `ICalProperty` containing the parameters to fill the bag with.

  The data is owned by the caller of the function.

`func`

  Type: `ECalComponentParameterBagFilterFunc`

  An optional %ECalComponentParameterBagFilterFunc callback.

`user_data`

  Type: `gpointer`

  User data for the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentParameterBag`

A newly allocated `ECalComponentParameterBag`.

The caller of the function takes ownership of the data, and is responsible for freeing it.